import { reactive, ref } from "vue"
import { defineStore } from "pinia"
import { checkLoggedIn, getAtk } from "@/stores/userinfo"
import { request } from "@/scripts/request"

export const useFriends = defineStore("friends", () => {
  const available = ref<any[]>([])

  async function list() {
    if (!(await checkLoggedIn())) return

    const res = await request("identity", "/api/users/me/friends?status=1", {
      headers: { Authorization: `Bearer ${await getAtk()}` }
    })
    if (res.status !== 200) {
      throw new Error(await res.text())
    } else {
      available.value = await res.json()
    }
  }

  return { available, list }
})
